<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>FreeMP3Search</title>
<link href="default.css" rel="stylesheet" type="text/css">
</head>

<body bgcolor="#FF0000" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div align="center"> 
  <p><br>
  </p>
  <table width="100%" border="0" cellpadding="0" cellspacing="0" >
    <tr> 
      <td height="22" class="threadTitle">FreeMP3Search</td>
    </tr>
    <tr> 
      <td height="37"><div align="center"> 
          <form name="form1" method="post" action="msearch2.0.php">
            <input name="string" type="text" class="searchItem" id="string" size="40">
            &nbsp; 
            <input name="Submit" type="submit" class="forumHeaderBackgroundAlternate" value="搜索">
          </form>
        </div></td>
    </tr>
    <tr> 
      <td> 
        <?php
		if(isset($string))
		{
 			if(!($string)){die("<br><font color=red>请输入正确的关键字!</font>");}
  			if(!($page))
 			{
 				$url="http://mp3.baidu.com/wstsearch?word=$string&rn=&tn=baidump3&ct=134217728&lm=-1";

 			}
 			else
 			{
 				$url="http://mp3.baidu.com/wstsearch?word=$string&rn=&tn=baidump3&ct=134217728&lm=-1&pn=$page";}
 			if(!(file($url))){die("<br><font color=red>不能连接服务器，请稍后再试!!</font>");}
 			$str=join("",file($url));
 			$aa=explode("<br>",$str);
 			print $aa[3];
 
 			print $aa[4];
 	?>
    </table>
 	
  <?
 

 			$bb=$aa[11];
 			$dd=explode("<font class=\"p1\">",$bb);

 
			$ff=$dd[1];
 			$gg=explode("</ol>",$ff);
 
 			$hh=$gg[0];
 			$II=explode("&nbsp;",$hh);
 			$counts=count($II);

 	?>
  <p><br>
  </p>
  <center>
 	<?
 				if($counts>1){
 					for($i=0;$i<$counts-1;$i++)
 					{
 					$pg=$i*30;
 					$j=$i+1;
 					print "<a href=msearch2.0.php?string=$string&page=$pg  class=\"LinkSmall\">[$j]</a>&nbsp;";
 					}
			}

}
?>
</center></td>
    </tr>
    <tr>
      <td class="threadTitle" align="RIGHT">copy right @ 2002-2004 zykj_2000@163.com 
        All right reserved<br>
        Last Update:2003.6.30,ver 2.0<br>
        support by <a href="http://210.83.119.69/bbs" class="LinkSmallBold">自由空间</a></td>
    </tr>
  </table>
</div>
</body>
</html>
